/* ===== RESET ===== */
*{
margin:0;
padding:0;
box-sizing:border-box;
font-family:Poppins, sans-serif;
}

/* ===== LIGHT PREMIUM COLORS ===== */
:root{       /* main background (light) */
      /* cards */
--bg-soft:#388675;       /* soft section */

--primary:#0b4dd0;       /* indigo */
--secondary:#06b6d4;     /* cyan */
--accent:#22c55e;        /* green */

    /* dark text */
--text-muted:#64748b;
}

/* ===== BODY ===== */
body{
margin: 0;
    background: #837878;
    display:center;
    justify-content: center;
    align-items: center;
    height: 100vh;
    color: #fff;
    
}


/* ===== NAVBAR ===== */
.navbar{
position:fixed;
top:0;
width:100%;
display:flex;
justify-content:space-between;
align-items:center;
padding:15px 25px;
background:#020617;
backdrop-filter:blur(10px);
border-bottom:1px solid #e5e7eb;
z-index:1000;
}

.logo{
color:var(--accent);
font-size:20px;
font-weight:600;
}

/* NAV LINKS */
.nav-links{
display:flex;
gap:30px;
list-style:none;
}

.nav-links a{
color:var(--accent);
text-decoration:none;
transition:0.3s;
}

.nav-links a:hover{
color:var(--primary);
}

/* UNDERLINE */
.nav-links a::after{
content:"";
display:block;
height:2px;|
width:2%;
background:linear-gradient(90deg,var(--primary),var(--secondary));
transition:0.3s;
}

.nav-links a:hover::after{
width:100%;
}

/* MOBILE */
.menu-toggle{
display:none;
font-size:28px;
cursor:pointer;
color:var(--accent);
}

/* ===== HERO ===== */
/* Hero Section */
.hero {
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 60vh;
    overflow: hidden;
    text-align: center;
}

/* Slides */
.slide {
    position: absolute;
    width: 100%;
    height: 100%;
    background-size: cover;
    background-position: center;
    opacity: 0;
    transition: opacity 1s ease-in-out;
}

/* Active Slide */
.active {
    opacity: 1;
}

/* Overlay */
.overlay {
    position: absolute;
    width: 100%;
    height: 100%;
    background: rgba(0,0,0,0.5);
}

/* Content */
.content {
    position: relative;
    top: 50%;
    
    align-content: center;
    transform: translate(-50%, -50%); 
    transform: translateY(-50%);
    color: #fff;
    max-width: 600px;
    text-align: center;
    margin: auto;
}

.content h1 {
    font-size: 48px;
    margin-bottom: 10px;
}

.content p {
    font-size: 18px;
}

/* ===== SECTIONS ===== */
.section{
 margin-top: 20px;
}
.section h2{
  color: #3903ef;
  text-align: center;
  font-size: 50px;
}

.logo img {
  width: 40px;
  height: 40px;
  border-radius: 50%;
  object-fit: contain;
  backdrop-filter: blur(10px);
  background: rgba(255,255,255,0.1);
}

.grid{
display:grid;
grid-template-columns:repeat(auto-fit,minmax(260px,1fr));
gap:25px;
margin: 32px;
justify-items: center;
}



/* BUY BUTTON */
.buy{
background:var(--accent);
padding:10px;
border-radius:6px;
text-align:center;
display:block;
color:#fff;
margin-top:10px;
transition:0.3s;
}

.buy:hover{
background:#16a34a;
}

/* ===== SEARCH ===== */
.search-box{
text-align:center;
margin:10px;
}

.search-box input{
width:90%;
max-width:420px;
padding:12px;
border-radius:8px;
border:1px solid #e5e7eb;
background:#fff;
outline:none;
}

/* SUGGESTIONS */
#suggestions{
color:black;
background:#fff;
max-width:420px;
margin:auto;
border-radius:8px;
margin-top:5px;
overflow:hidden;
border:1px solid #e5e7eb;
}

.suggestion-item{
padding:12px;
cursor:pointer;
border-bottom:1px solid #f1f5f9;
}

.suggestion-item:hover{
background:#f8fafc;
color:var(--primary);
}

/* ===== MOBILE ===== */
@media(max-width:768px){

.nav-links{
position:fixed;
top:0;
right:-100%;
height:auto-fit;
width:auto-fit;
background: #020617;
flex-direction:column;
padding:20px 30px;
gap:20px;
transition:0.4s ease;
}

.nav-links.active{
right:0;
}

.menu-toggle{
display:block;
}

}

/* CARD */
.card {
    position: relative;
    width: 100%;
    padding: 30px;
    border-radius: 20px;
    color: #fff;
    background: rgba(255,255,255,0.05);
    backdrop-filter: blur(15px);
    overflow: hidden;
    cursor: pointer;
    transition: 0.3s;
    
}

/* ELECTRIC BORDER */
.card::before {
    content: "";
    position: absolute;
    inset: -2px;
    background: linear-gradient(120deg, #00f, #0ff, #00f);
    background-size: 300%;
    animation: electric 4s linear infinite;
    z-index: -1;
}

.card::after {
    content: "";
    position: absolute;
    inset: 2px;
    background: rgba(2,6,23,0.9);
    border-radius: 20px;
    z-index: -1;
}

@keyframes electric {
    0% { background-position: 0%; }
    100% { background-position: 300%; }
}

/* CONTENT */
.card h2 {
    margin-bottom: 10px;
}

.card p {
    color: #94a3b8;
}

/* HOVER EFFECT */
.card:hover {
    transform: scale(1.05);
    box-shadow: 0 0 40px rgba(0,255,255,0.5);
}

/* GLOW DOT */
.glow {
    position: absolute;
    width: 100px;
    height: 100px;
    background: radial-gradient(circle, #38bdf8, transparent);
    top: -50px;
    right: -50px;
    opacity: 0.6;
    animation: pulse 3s infinite;
}

@keyframes pulse {
    0%,100% { transform: scale(1); }
    50% { transform: scale(1.3); }
}

.job-card {
    position: relative;
    padding: 25px;
    border-radius: 18px;
    background: rgba(255,255,255,0.05);
    backdrop-filter: blur(12px);
    color: white;
    overflow: hidden;
    transition: 0.4s;
}

/* GLOW BORDER (DIFFERENT COLOR) */
.job-card::before {
    content: "";
    position: absolute;
    inset: -2px;
    background: linear-gradient(120deg, #ff0080, #ff8c00, #ff0080);
    background-size: 300%;
    animation: jobGlow 5s linear infinite;
    z-index: -1;
}

.job-card::after {
    content: "";
    position: absolute;
    inset: 2px;
    background: #020617;
    border-radius: 18px;
    z-index: -1;
}

@keyframes jobGlow {
    0% {background-position:0%;}
    100% {background-position:300%;}
}

/* BADGE */
.badge {
    position: absolute;
    top: 10px;
    right: 10px;
    background: red;
    padding: 5px 10px;
    font-size: 12px;
    border-radius: 10px;
    animation: pulse 2s infinite;
}

@keyframes pulse {
    0%,100% {transform: scale(1);}
    50% {transform: scale(1.1);}
}

/* COMPANY */
.company {
    color: #38bdf8;
}

/* DETAILS */
.details {
    margin: 10px 0;
    display: flex;
    justify-content: space-between;
    font-size: 14px;
    color: #94a3b8;
}
.center{
  text-align-last: center;
}
.center-btn{
    background: #22c55e;
    color: #fff;
    padding: 12px 20px;
    border: none;
    border-radius: 8px;
    font-size: 16px;
    cursor: pointer;
    
    width: auto;       /* auto fit */
    display: inline-block;
    
    transition: 0.3s;
}

.banner{
  display: grid;
  position: relative;
    padding: 25px;
    border-radius: 18px;
    background: #fff;
    backdrop-filter: blur(12px);
    color: white;
    overflow: hidden;
    transition: 0.4s;
    border-radius: 10px;
    gap: 20px;
    border-color: ;
    grid-template-columns: repeat(auto-fit, minmax(200px, 1fr));
}
 
/* BUTTON */
.apply-btn {
    width: 100%;
    padding: 10px;
    border: none;
    border-radius: 10px;
    background: linear-gradient(90deg, #38bdf8, #0ea5e9);
    color: white;
    cursor: pointer;
    transition: 0.3s;
}

.apply-btn:hover {
    transform: scale(1.05);
    box-shadow: 0 0 15px #38bdf8;
}

/* HOVER EFFECT */
.job-card:hover {
    transform: translateY(-8px) scale(1.02);
    box-shadow: 0 0 30px rgba(255,0,128,0.4);
}


/* ===== FOOTER ===== */
.footer{
background: #020617;
color:#fff;
margin-top:50px;
text-align: center;
}

.footer-container{
display:grid;
grid-template-columns:repeat(auto-fit,minmax(220px,1fr));
gap:30px;
padding:50px 20px;
max-width:1200px;
margin:auto;
}

.footer-col h2,
.footer-col h3{
margin-bottom:15px;
}

.footer-col p{
color:#ffffff;
}

.footer-col ul{
list-style:none;
}

.footer-col ul li{
margin-bottom:8px;
}

.footer-col a{
text-decoration:none;
color:var(--accent);
transition:0.3s;
}

.footer-col a:hover{
color:#4f46e5;
}

/* BUTTON */
.footer-btn{
display:inline-block;
margin-top:10px;
background:#22c55e;
color:#fff;
padding:10px 15px;
border-radius:6px;
text-decoration:none;
}

.footer-btn:hover{
background:#16a34a;
}

/* BOTTOM */
.footer-bottom{
text-align:center;
padding:15px;
border-top:1px solid #e5e7eb;
font-size:14px;
color:#64748b;
background: #d4e2d9;
}